Subject: bug#4808: closed (Re: bug#4808: 23.1.50; calc-quit move point to another window)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 05 Sep 2011 08:58:02 +0000

Your bug report

#4808: 23.1.50; calc-quit move point to another window

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4808: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4808
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4808: 23.1.50; calc-quit move point to another window
From: martin rudalics <[email-masked]>
To: [email-masked]
Date: Mon, 05 Sep 2011 10:53:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> My frame setup is as follows with point in window 1.
> 
>     +------------------+----------+
>     |                  |          |
>     |                  |     2    |
>     |                  |          |
>     |                  |          |
>     |         1        +----------+
>     |                  |          |
>     |                  |     3    |
>     |                  |          |
>     |                  |          |
>     +------------------+----------+
> 
> Now `M-x calc' and then quit it with 'q'. You will see point moved to
> window 2. This is reproducible with Emacs -q.

Should be fixed in current trunk.

martin

Subject: 23.1.50; calc-quit move point to another window
From: Leo <[email-masked]>
To: [email-masked]
Date: Mon, 26 Oct 2009 13:56:10 +0000

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Lately I have been using a three-window setup for writing in LaTeX and I
have found that calc move point to another window, which I am not sure
is desirable.

My frame setup is as follows with point in window 1.

    +------------------+----------+
    |                  |          |
    |                  |     2    |
    |                  |          |
    |                  |          |
    |         1        +----------+
    |                  |          |
    |                  |     3    |
    |                  |          |
    |                  |          |
    +------------------+----------+

Now `M-x calc' and then quit it with 'q'. You will see point moved to
window 2. This is reproducible with Emacs -q.

In GNU Emacs 23.1.50.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
 of 2009-09-22 on neutron.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Leo

Emacs-Uptime: "34 days, 5 hours, 7 minutes, 6 seconds"